/*
 * @(#)SenderStat.java     0.5  12/06/99
 *
 */

/**
 * This is the statistics kept for each sender
 * 
 * @version 0.5 12/06/99
 * @author Kai Chen, NLANR
 */

public class SenderStat {

    String senderName;
    long   lastReceiveTime;
    float  aveDelay;
    double aveJitter;
    float  aveLossRate;
    float  aveOutOfOrderRate;

    SenderStat(String sender)
    {
	senderName = new String(sender);
	lastReceiveTime = 0;
	aveDelay = 0;
	aveJitter = 0;
	aveLossRate = 0;
	aveOutOfOrderRate = 0;

    }

    void updateWith (long time, float delay, double jitter, float loss, float order)
    {
	lastReceiveTime = time;
	aveDelay = delay;
	aveJitter = jitter;
	aveLossRate = loss;
	aveOutOfOrderRate = order;
    }


    /**
     * print the internal data
     */

    public void printTable()
    {
	System.out.println("---- BeaconServer SenderStat for " + senderName + " ------");
	System.out.println("lastReceiveTime:\t" + lastReceiveTime);
	System.out.println("aveDelay:\t" + aveDelay);
	System.out.println("aveJitter:\t" + aveJitter);
	System.out.println("aveLossRate:\t" + aveLossRate);
	System.out.println("aveOurOfOrderRate:\t" + aveOutOfOrderRate);

	return;
    }
	       
} // end of class






   















